> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Batch update tags for multiple nodes

PATCH /v1/tags
Content-Type: application/json

Add and/or remove tags for multiple nodes in a single atomic operation.
Returns 204 No Content on success. Fails if all nodes are invalid.

Tag Validation Rules (applies to tags being added):
- Format: lowercase letters (a-z), numbers (0-9), hyphens (-), and underscores (_)
- Must start and end with alphanumeric characters
- Separators (hyphen, underscore) cannot be consecutive
- Maximum length: 50 characters
- Reserved names: null, none, undefined, true, false
- Examples: "gpu-health", "test_tag", "node123"

Note: Tags being removed are not validated, allowing removal of invalid legacy tags.

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/tags/patch-v-1-tags

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/tags:
    patch:
      operationId: patchV1Tags
      summary: Batch update tags for multiple nodes
      description: >-
        Add and/or remove tags for multiple nodes in a single atomic operation.

        Returns 204 No Content on success. Fails if all nodes are invalid.


        Tag Validation Rules (applies to tags being added):

        - Format: lowercase letters (a-z), numbers (0-9), hyphens (-), and
        underscores (_)

        - Must start and end with alphanumeric characters

        - Separators (hyphen, underscore) cannot be consecutive

        - Maximum length: 50 characters

        - Reserved names: null, none, undefined, true, false

        - Examples: "gpu-health", "test_tag", "node123"


        Note: Tags being removed are not validated, allowing removal of invalid
        legacy tags.
      tags:
        - tags
      responses:
        '204':
          description: No Content
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '403':
          description: Forbidden - UAM authorization denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
      requestBody:
        description: Batch update tags request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.BatchUpdateTagsRequest'
components:
  schemas:
    models.BatchUpdateTagsRequest:
      type: object
      properties:
        add:
          type: array
          items:
            type: string
        nodeUUIDs:
          type: array
          items:
            type: string
        remove:
          type: array
          items:
            type: string
      required:
        - nodeUUIDs
      title: models.BatchUpdateTagsRequest
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Request**

```json
{
  "nodeUUIDs": [
    "84ad8912-1821-4597-bf4f-56a1234abcd7",
    "95be9023-2932-5608-cf5g-67b2345bcde8"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/tags"

payload = { "nodeUUIDs": ["84ad8912-1821-4597-bf4f-56a1234abcd7", "95be9023-2932-5608-cf5g-67b2345bcde8"] }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/tags';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"nodeUUIDs":["84ad8912-1821-4597-bf4f-56a1234abcd7","95be9023-2932-5608-cf5g-67b2345bcde8"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/tags"

	payload := strings.NewReader("{\n  \"nodeUUIDs\": [\n    \"84ad8912-1821-4597-bf4f-56a1234abcd7\",\n    \"95be9023-2932-5608-cf5g-67b2345bcde8\"\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/tags")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"nodeUUIDs\": [\n    \"84ad8912-1821-4597-bf4f-56a1234abcd7\",\n    \"95be9023-2932-5608-cf5g-67b2345bcde8\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/tags")
  .header("Content-Type", "application/json")
  .body("{\n  \"nodeUUIDs\": [\n    \"84ad8912-1821-4597-bf4f-56a1234abcd7\",\n    \"95be9023-2932-5608-cf5g-67b2345bcde8\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.example.com/v1/tags', [
  'body' => '{
  "nodeUUIDs": [
    "84ad8912-1821-4597-bf4f-56a1234abcd7",
    "95be9023-2932-5608-cf5g-67b2345bcde8"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/tags");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"nodeUUIDs\": [\n    \"84ad8912-1821-4597-bf4f-56a1234abcd7\",\n    \"95be9023-2932-5608-cf5g-67b2345bcde8\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["nodeUUIDs": ["84ad8912-1821-4597-bf4f-56a1234abcd7", "95be9023-2932-5608-cf5g-67b2345bcde8"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/tags")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```